@import url("https://fonts.googleapis.com/css2?family=Outfit&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lato&display=swap");

:root {
	--white: #fafaff;
	--black: #1c1c1c;

	/* Primary colors*/
	--primary-1: #247ba0;
	--primary-2: #5795b3;
	--primary-3: #82afc6;
	--primary-4: #abc9d9;
	--primary-5: #d5e4ec;

	/* Neutral colors */
	--neutral-1: #2f2f2f;
	--neutral-2: #575757;
	--neutral-3: #848484;
	--neutral-4: #b3b3b3;
	--neutral-5: #e5e5e5;

	/* Error colors */
	--error-1: #bb0a21;
	--error-2: #cf524f;
	--error-3: #df8079;
	--error-4: #edaaa5;
	--error-5: #f8d5d1;

	/* Success colors */
	--success-1: #3ddc97;
	--success-2: #75e4ac;
	--success-3: #9debc0;
	--success-4: #bff2d5;
	--success-5: #e0f9ea;

	height: 100%;
}

body,
#root {
	background-color: var(--neutral-5);
	font-family: "Lato", sans-serif;
	height: 100%;
	margin: 0;
}

h1 {
	font-family: "Outfit", sans-serif;
	font-size: 36px;
	font-weight: 600;
}

h2 {
	font-family: "Outfit", sans-serif;
	font-size: 28px;
	font-weight: 500;
}

h3 {
	font-family: "Outfit", sans-serif;
	font-size: 24px;
	font-weight: normal;
}

p {
	line-height: 30px;
	font-size: 18px;
}

a {
	color: var(--primary-2);
	font-weight: bold;
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
}

.rounded {
	border-radius: 30px;
}

.container {
	max-width: 900px;
	margin: 0 auto;
	padding: 0 20px;
}

/* BUTTONS */
.btn {
	border-radius: 3px;
	display: inline-block;
	cursor: pointer;
	font-size: 14px;
	font-weight: 600;
	padding: 13px 40px;
	border: 0;
	transition: background-color 200ms, color 200ms;
}

.btn-default {
	color: var(--white);
	background-color: var(--primary-1);
}

.btn-default:hover,
.btn-outline:hover {
	color: var(--white);
	background-color: var(--primary-2);
	text-decoration: none;
}

.btn-default:active,
.btn-outline:active {
	color: var(--primary-1);
	background-color: var(--primary-4);
}

.btn-default[disabled],
.btn-outline[disabled] {
	color: var(--primary-4);
	background-color: var(--primary-5);
	cursor: default;
}

.btn-outline {
	color: var(--primary-1);
	background-color: var(--primary-4);
	border: var(--primary-1) 2px solid;
	box-shadow: 1px 1px 7px #c4c4c4;
	padding: 8px 25px;
	border-radius: 10px;
}

/* FORMS */
.form h2 {
	font-size: 24px;
	font-weight: 400;
}

.form h3 {
	font-size: 20px;
	font-weight: 300;
	margin-bottom: 15px;
}

.form-section {
	border-bottom: var(--neutral-4) solid 1px;
	margin-bottom: 20px;
}

.input-required {
	color: var(--error-1);
	text-decoration: none;
	font-weight: bold;
	padding: 0 1px;
}

.label {
	display: block;
	font-weight: 500;
}

.input {
	font-size: 16px;
	margin-top: 1em;
	margin-bottom: 1.5em;
	padding: 0.75em 0.5em;
	min-width: 350px;
	border: none;
	border-left: 7px solid var(--neutral-4);
	transition: border-left-color 160ms;
	background-color: white;
}

::placeholder {
	color: var(--neutral-4);
}

input:focus {
	outline: none;
	border-left: 7px solid var(--primary-1);
}

#guidebook {
	display: flex;
	height: 100%;
	align-items: center;
	justify-items: center;
}

/* WELCOME */
.welcome {
	align-items: center;
	background-color: var(--white);
	display: flex;
	margin: 0 auto;
	box-shadow: 0px 3px 7px 1px rgba(0, 0, 0, 0.07),
		0px -3px 7px 1px rgba(0, 0, 0, 0.07);
}

.welcome > :not(:first-child) {
	border-left: 1px solid var(--neutral-4);
}

.welcome .details {
	align-items: center;
	display: flex;
	flex-direction: column;
	padding: 0 36px;
}

.welcome .details svg {
	height: 64px;
	width: auto;
}

.welcome .setup {
	display: flex;
	flex-direction: column;
	padding: 36px;
}

.welcome h1 {
	margin-bottom: 0;
}

/* NAVBAR */
.navbar {
	background-color: var(--white);
	padding: 10px;
	box-shadow: 0px 3px 7px 1px rgba(0, 0, 0, 0.07),
		0px -3px 7px 1px rgba(0, 0, 0, 0.07);
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.nav-brand {
	display: flex;
	font-size: 42px;
	align-items: center;
	text-decoration: none;
	padding-left: 20px;
	color: initial;
}
.nav-brand:hover {
	text-decoration: none;
}
.nav-brand:active {
	color: var(--primary-1);
}

.navbar ul {
	list-style-type: none;
	overflow: hidden;
	padding-right: 20px;
	text-align: center;
}

.navbar li {
	display: inline-block;
}

.nav-item a {
	text-decoration: none;
	font-weight: normal;
	color: var(--primary-1);
	display: inline-block;
	text-align: center;
	padding: 13px 20px;
	min-width: 75px;
}

.nav-item:hover a {
	text-decoration: none;
	color: var(--primary-2);
}

.nav-item a.active {
	font-weight: bold;
}

.nav-cart {
	width: 65px;
	text-align: center;
	padding: 10px 25px;
}

/* TABS */
.tabs {
	margin: 0 0 40px 0;
	border-bottom: var(--neutral-4) solid 1px;
}

.tabs ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
	padding-bottom: 10px;
}

.tabs li {
	display: inline-block;
}

.tabs a {
	text-decoration: none;
	padding-bottom: 10px;
	color: var(--black);
	padding-left: 15px;
	padding-right: 15px;
}
.tabs .tab-active {
	border-bottom: 7px solid var(--primary-1);
}

/* Pages */
.home-layout {
	display: grid;
	grid-template-columns: 1fr auto;
	place-items: center;
	grid-gap: 20px;
	padding-top: 40px;
}

.about-layout {
	display: grid;
	grid-template-columns: 1fr auto;
	grid-gap: 20px;
	padding-top: 40px;
}

/* Loader */
.spinner {
	animation: rotator 1.4s linear infinite;
}

@media (max-width: 1024px) {
	.home-layout,
	.about-layout {
		grid-template-columns: 1fr;
	}

	#guidebook {
		height: unset;
	}

	.welcome {
		flex-direction: column;
		margin: 36px auto;
		padding: 36px 0 0;
	}

	.welcome > :not(:first-child) {
		border-left: unset;
		border-top: 1px solid var(--neutral-4);
	}
}

@keyframes rotator {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(270deg);
	}
}
.path {
	stroke-dasharray: 187;
	stroke-dashoffset: 0;
	transform-origin: center;
	animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
}

@keyframes colors {
	0% {
		stroke: #4285f4;
	}
	25% {
		stroke: #de3e35;
	}
	50% {
		stroke: #f7c223;
	}
	75% {
		stroke: #1b9a59;
	}
	100% {
		stroke: #4285f4;
	}
}
@keyframes dash {
	0% {
		stroke-dashoffset: 187;
	}
	50% {
		stroke-dashoffset: 46.75;
		transform: rotate(135deg);
	}
	100% {
		stroke-dashoffset: 187;
		transform: rotate(450deg);
	}
}
